package com.zjj.controller;

import com.alibaba.fastjson.JSONObject;
import com.zjj.config.HttpUtil;
import com.zjj.config.URLConfig;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

@RestController
public class AppInterfaceController {

    @PostMapping("/loginMobile")
    public String loginMobile(String username,String password){
        Map param = new HashMap<>();
        param.put("username",username);
        param.put("password",password);
        return HttpUtil.sendPostForm(URLConfig.LOGINMOBILE,new HashMap<>(),param);
    }

    @PostMapping("/register")
    public String register(JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.REGISTER,param,new HashMap<>());
    }

    @PostMapping("/getCode")
    public String getCode(String tel){
        Map param = new HashMap<>();
        param.put("tel",tel);
        return HttpUtil.sendPostForm(URLConfig.GETCODE,new HashMap<>(),param);
    }
}
